{% from '@cambridge_tailwind/components/link/link.twig' import linkClasses %}
{% set closeButtonClasses = linkClasses(false, false) | spaceless | split(" ") | merge(["absolute", "top-0", "right-0", "h-[1.8em]", "w-[1.8em]", "m-16", "sm:m-12", "mb-0", "p-4"]) %}
<div
  class="hidden absolute left-[-8px] sm:left-16 top-0 sm:top-full h-screen sm:h-auto sm:mt-16 right-[22px] sm:right-16 bg-white p-6 rounded border-1 border-gray-100 z-10 shadow-md sm:rounded-8"
  id="menu-panel-{{ count }}"
  data-menu-panel="menu-panel-{{ count }}"
  aria-labelledby="menu-item-{{ count }}-heading"
  aria-describedby="menu-item-{{ count }}-description"
  role="menu"
>
  <div class="flex flex-wrap p-16 sm:p-20">
    <div class="w-full md:w-1/3 lg:w-1/4 flex flex-col justify-between border-r-1 md:pr-32">
      <div class="flex flex-col gap-4">
        <h3 class="text-style-heading-sm sm:text-style-heading-md m-[-16px] mb-20 sm:m-0 px-16 py-16 sm:px-0 sm:pt-0 sm:pb-20 border-b border-divider-subtle sm:border-none" id="menu-item-{{ count }}-heading">
          {% if section.section_heading %}
            {{ section.section_heading }}
          {% else %}
            {{ section.title }}
          {% endif %}
        </h3>
        {% if section.section_description %}
          <p class="text-style-body-sm sm:text-style-body-md pb-20" id="menu-item-{{ count }}-description">{{ section.section_description }}</p>
        {% endif %}
        {% if section.url %}
          {% if section.url.routename != '<nolink>' %}
            {% set icon %}
              {% include '@cambridge_tailwind/components/link/icons/arrow-right.twig' %}
            {% endset %}
            <span class="self-start text-style-body-sm sm:text-style-body-md">
              {% include '@cambridge_tailwind/components/link/icon-link.twig' with { url: section.url, text: "Overview", position: "left", "circle": true, icon: icon } only %}
            </span>
          {% endif %}
        {% endif %}
      </div>
    </div>
    <ul class="w-full md:w-2/3 lg:w-3/4 md:pl-32 py-16 md:border-l border-divider-subtle grid sm:grid-cols-2 lg:grid-cols-3 justify-stretch gap-x-64">
      {% for item in section.below %}
        {% include '@cambridge_tailwind/components/menu/open-section-panel-link.twig' with { item: item } only %}
      {% endfor %}
    </ul>
  </div>
  <button id="close-panel-{{count}}" data-close-panel class="{{ closeButtonClasses | join(' ') }}" aria-label="Close menu" title="Close menu">
    {% include '@cambridge_tailwind/components/link/icons/close.twig' %}
  </button>
</div>
